SETARCH(8)

NAME
setarch - change reported architecture in new program environment and set personality flags

SYNOPSIS
setarch <arch> [options] [program [arguments]] arch [options] [program [arguments]]

DESCRIPTION
setarch This utility currently only affects the output of uname -m. For example, on an AMD64 system, running 'setarch i386 program' will cause 'program' to see i686 (or other relevant arch) instead of x86_64 as machine type. It also allows to set various personality options.

OPTIONS

-v  Be verbose.

-h, --help
    Display help (it is also displayed when setarch takes no arguments).

-3  Specifies that processes should use a maximum of 3GB of address space on systems where it is supported (ADDR_LIMIT_3GB).

-B  Turns on ADDR_LIMIT_32BIT.

-F  Userspace function pointers point to descriptors (turns on FDPIC_FUNCPTRS).

-I  Turns on SHORT_INODE.

-L  Changes the way virtual memory is allocated (turns on the ADDR_COMPAT_LAYOUT).

-R  Disables randomization of the virtual address space (turns on ADDR_NO_RANDOMIZE).

-S  Turns on WHOLE_SECONDS.

-T  Turns on STICKY_TIMEOUTS.

-X  Turns on READ_IMPLIES_EXEC.

-Z  Turns on MMAP_PAGE_ZERO.

EXAMPLES
setarch ppc32 rpmbuild --target=ppc --rebuild foo.src.rpm
setarch ppc32 -v -vL3 rpmbuild --target=ppc --rebuild bar.src.rpm

AUTHOR
Elliot Lee <sopwith@redhat.com>
Jindrich Novy <jnovy@redhat.com>

BUGS
Report bugs via http://bugzilla.redhat.com/bugzilla/